package com.izouma.awesomeadmin.service;

import java.util.*;
import com.izouma.awesomeadmin.dto.Page;
import com.izouma.awesomeadmin.model.HouseInfo;


/**
*  service接口类
*/
public interface HouseInfoService{

    List<HouseInfo> getHouseInfoList(HouseInfo record);

    List<HouseInfo> getHouseInfoByPage(Page page, HouseInfo record);

    HouseInfo getHouseInfoById(String id);

    HouseInfo getHouseInfo(HouseInfo record);

    HouseInfo getHouseInfoDetail(HouseInfo record);

    boolean createHouseInfo(HouseInfo record);

    boolean deleteHouseInfo(String id);

    boolean updateHouseInfo(HouseInfo record);
}

